--unisound
--by ? / Blackdragon223 / Hummel


unisound = {};

function unisound.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function unisound:load(xmlFile)
	self.isLeftDoorOpen = false;
	self.isRightDoorOpen = false;
	self.isLeftWindowOpen = false;
	self.isRightWindowOpen = false;
end;	

function unisound:delete()
end;

function unisound:mouseEvent(posX, posY, isDown, isUp, button)
end;

function unisound:keyEvent(unicode, sym, modifier, isDown)
end;

function unisound:update(dt)

	if self.isEntered then

			if InputBinding.hasEvent(InputBinding.DoorFL) then
				self.isLeftDoorOpen = not self.isLeftDoorOpen;
			end;

			if InputBinding.hasEvent(InputBinding.DoorFR) then
				self.isRightDoorOpen = not self.isRightDoorOpen;
			end;

			if InputBinding.hasEvent(InputBinding.WindFL) then
				self.isLeftWindowOpen = not self.isLeftWindowOpen;
			end;

			if InputBinding.hasEvent(InputBinding.WindFR) then
				self.isRightWindowOpen = not self.isRightWindowOpen;
			end;

		if self.camIndex == 2 and not self.isLeftDoorOpen and not self.isRightDoorOpen and not self.isLeftWindowOpen and not self.isRightWindowOpen then

    			if self.motorSound ~= nil then
				setSampleVolume(self.motorSound, self.motorSoundVolume/2);
   			end;
    			if self.motorSoundRun ~= nil then
				setSampleVolume(self.motorSoundRun, self.motorSoundRunVolume/2);
    			end;
    			if self.motorStartSound ~= nil then
				setSampleVolume(self.motorStartSound, self.motorStartSoundVolume/2);
    			end;
    			if self.cylinderedHydraulicSound ~= nil then
				setSampleVolume(self.cylinderedHydraulicSound, self.cylinderedHydraulicSoundVolume/2.5);
    			end;
    			if self.reverseDriveSound ~= nil then
				setSampleVolume(self.reverseDriveSound, self.reverseDriveSoundVolume/2);
    			end;
    			if self.compressionSound ~= nil then
				setSampleVolume(self.compressionSound, self.compressionSoundVolume/2);
    			end;
    			if self.pipeSound ~= nil then
				setSampleVolume(self.pipeSound, 0.5);
    			end;
    			if self.attachSound ~= nil then
				setSampleVolume(self.attachSound, 1.5);
    			end;
    			if self.honkSound ~= nil then
				setSampleVolume(self.honkSound, self.honkSoundVolume/2);
   			end;
    			if self.threshingStartSound ~= nil then
				setSampleVolume(self.threshingStartSound, self.threshingStartSoundVolume/2.5);
    			end;
    			if self.threshingSound ~= nil then
				setSampleVolume(self.threshingSound, self.threshingSoundVolume/2.9);
    			end;
    			if self.threshingStopSound ~= nil then
				setSampleVolume(self.threshingStopSound, self.threshingStopSoundVolume/2.5);
    			end;
		else

    			if self.motorSound ~= nil then
				setSampleVolume(self.motorSound, self.motorSoundVolume);
   			end;
    			if self.motorSoundRun ~= nil then
				setSampleVolume(self.motorSoundRun, self.motorSoundRunVolume);
    			end;
    			if self.motorStartSound ~= nil then
				setSampleVolume(self.motorStartSound, self.motorStartSoundVolume);
    			end;
    			if self.cylinderedHydraulicSound ~= nil then
				setSampleVolume(self.cylinderedHydraulicSound, self.cylinderedHydraulicSoundVolume);
    			end;
    			if self.reverseDriveSound ~= nil then
				setSampleVolume(self.reverseDriveSound, self.reverseDriveSoundVolume);
    			end;
    			if self.compressionSound ~= nil then
				setSampleVolume(self.compressionSound, self.compressionSoundVolume);
    			end;
    			if self.pipeSound ~= nil then
				setSampleVolume(self.pipeSound, 1);
    			end;
    			if self.attachSound ~= nil then
				setSampleVolume(self.attachSound, 1);
    			end;
    			if self.honkSound ~= nil then
				setSampleVolume(self.honkSound, self.honkSoundVolume);
   			end;
    			if self.threshingStartSound ~= nil then
				setSampleVolume(self.threshingStartSound, self.threshingStartSoundVolume);
    			end;
    			if self.threshingSound ~= nil then
				setSampleVolume(self.threshingSound, self.threshingSoundVolume);
    			end;
    			if self.threshingStopSound ~= nil then
				setSampleVolume(self.threshingStopSound, self.threshingStopSoundVolume);
    			end;
		end;
	end;
end;

function unisound:draw()  
end;

function unisound:onEnter()
end;

function unisound:onLeave()	
end;
